olio
Posts: 15
Joined: Tue Feb 02, 2016 8:55 am

libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ./gertbot)

Thu Apr 19, 2018 12:36 pm

Hello,
I tried to run a stepper motor with a Gertbot on a Raspberry 3 with Jessie. However, the executable doesn't start, because of a missing file or library:

./gertbot: /usr/lib/arm-linux-gnueabihf/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ./gertbot)

I tried also the test_drivers.py, but all the test sequences that wait for a feedback of the board get stuck (e.g. test 17 Baud_rate), while the move_stepper (test 5) is running without moving the motor.
I use a 12VDC power supply for the board and made the modifications in the UART boot settings as described in the manual (additionally disabled the blue tooth devices). and of course I did a system update and upgrade today.

I tested before the adafruit boards (for stepper and servo motors) and they worked directly fine...but for the steppers I need a higher frequency for my application. The gertbot seems to be suitable once it works.

Could anyone give me a hint?

Greetings!
Oliver

User avatar
Gert van Loo
Posts: 2474
Joined: Tue Aug 02, 2011 7:27 am
Contact: Website

Re: libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ./gertbot)

Thu Apr 19, 2018 1:07 pm

First: You have opened a thread but there is already a thread, with questions and answers, specific to the get bot viewtopic.php?f=42&t=101760#p1302622.

Which version are you using?
One of the problems with the Jessie image is that the QT4 libraries are no longer in the default build.
This might apply to other libraries, although I have not heard that yet.

In the thread above you will see that the latest GUI version 2.8 does work on Jessie.
But you need to upload a newer SW release to the Gertbot to use all the new features.

olio
Posts: 15
Joined: Tue Feb 02, 2016 8:55 am

Re: libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ./gertbot)

Thu Apr 19, 2018 1:09 pm

I just found that my Jessie release is from 27.05.2016. Maybe I start again with a complete fresh downloaded Raspbian image and see if there are still problems...

olio
Posts: 15
Joined: Tue Feb 02, 2016 8:55 am

Re: libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ./gertbot)

Thu Apr 19, 2018 1:11 pm

Hello Gert,
thanks for your very fast reply! I'll come back after testing it with the latest release! I thought a dist-upgrade will do the same...obviously not.
Greetings and have a nice day!
Oliver

olio
Posts: 15
Joined: Tue Feb 02, 2016 8:55 am

Re: libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ./gertbot)

Thu Apr 19, 2018 1:21 pm

ahhh...OK mixed something up. I received the gertbot board yesterday and didn't think about that there might be an old SW release installed on it...so then it might be incompatible with the executable version 2.8.

also the thread is a little bit mixed...not only gertbot executable specific...this was only the first attempt to test functionality of the board...then I wanted to use it with python. Both ways don't work at the moment, therefore I started the new thread.

Sorry for the confusion!
Oliver

Return to “Add-ons”

Who is online

Users browsing this forum: nightwatchman and 4 guests